Minecraft 1.7.10 Resource Packs

The Fancy Cubes Resource Pack 1.12 will definitely be the perfect fit for players who like the overall art style of Minecraft but are bothered by the
Compatible: 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.7.10
Updated: July 17, 2016
Dark PvP Light Preview How to install Dark PvP Light Pack Download the resource pack. Open Minecraft, and go to Options->Resource Packs->Open R
Compatible: 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.7.10
Updated: July 9, 2016
Before going into any further detail regarding the Aedena HD resource pack 1.12, it’s worth mentioning beforehand that this pack is currently u
Compatible: 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.7.10
Updated: July 9, 2016
The Sandy Dreams resource pack 1.12 features simple, washed out colors and a low resolution which allows it to maintain that classic Minecraft appeara
Compatible: 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.7.10
Updated: July 9, 2016
Unlike some other resource packs which focus on changing only a few elements of Minecraft, LIIE’s Resource Pack 1.12 makes everything in the gam
Compatible: 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.7.10
Updated: July 9, 2016
Dear friends, today I want to offer you an excellent and absolutely unique resource pack. I am sure that you will like it because it is not just a sim
Compatible: 1.10.2, 1.9.4, 1.8.9
Updated: July 7, 2016
About SapixCraft Original Resource Pack 1.12 This is my new (wip) texturepack. I hope you will love it and please let me know what things I have chang
Compatible: 1.10.2, 1.9.4
Updated: July 7, 2016
It´s a very simple Resourcepack for Minecraft 1.12 made for and by me. It is very simple and I am updating it whenever something new is added to the
Compatible: 1.10.2, 1.9.4
Updated: July 7, 2016
Screenshots How to install Quadral Resource Pack Download the resource pack. Open Minecraft, and go to Options->Resource Packs->Open Resource Pa
Compatible: 1.10.2
Updated: July 7, 2016
Better than Xray mods! Xray Ultimate resource pack 1.12 for all those who need it. Ores and mineral blocks are shamelessly highlighted as shown in the
Compatible: 1.10.2
Updated: July 7, 2016